about summary refs log tree commit homepage
path: root/VERSION-GEN
diff options
context:
space:
mode:
Diffstat (limited to 'VERSION-GEN')
-rwxr-xr-xVERSION-GEN36
1 files changed, 36 insertions, 0 deletions
diff --git a/VERSION-GEN b/VERSION-GEN
new file mode 100755
index 0000000..ae66e94
--- /dev/null
+++ b/VERSION-GEN
@@ -0,0 +1,36 @@
+#!/bin/sh
+VF=lib/mwrap/version.rb
+DEF_VER=v2.3.0
+VN=$(git describe HEAD 2>/dev/null)
+if test $? -eq 0
+then
+        case "$VN" in
+        v[0-9]*)
+                set -e
+                git update-index -q --refresh
+                set +e
+                git diff-index --quiet HEAD -- || VN="$VN-dirty"
+                set -e
+                VN=$(echo $VN | tr '-' '.')
+                ;;
+        esac
+fi
+set -e
+
+case $VN in
+'') VN="$DEF_VER" ;;
+esac
+
+VN=$(expr "$VN" : v*'\(.*\)')
+VC=unset
+if test -r $VF
+then
+        VC="$(cat $VF)"
+fi
+
+new="module Mwrap; VERSION = '$VN'.freeze; end"
+if test x"$new" != x"$VC"
+then
+        echo "$new" >$VF
+fi
+echo $VN